if (navigator.serviceWorker) {
  const UPDATE_INTERVAL = 1000 * 60 * 60;
  const ERROR_UPDATE_INTERVAL = 1000 * 60;

  navigator.serviceWorker
    .register("service-worker.js")
    .then((reg) => {
      console.log("sw installed");
      setInterval(() => reg.update(), UPDATE_INTERVAL);
      window.addEventListener("error", (e) => {
        setInterval(() => {
          console.log(
            "Page failed, updating service worker with increased interval"
          );
          reg.update();
        }, ERROR_UPDATE_INTERVAL);
      });
    })
    .catch((e) => console.error(e));

  navigator.serviceWorker.addEventListener("controllerchange", () => {
    console.log("Controller loaded");
    window.location.reload();
  });
}
